## kmymoney 3.98.1

=== CMakeLists.txt ===
# Setting the name of the main project
PROJECT(KMyMoney)

# The CMake version we require
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# cmake 2.6 proposed to add this policy
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# Our modules reside in the subdirectory cmake/modules/
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

######################### KMyMoney Version ##########################

# The current version of KMyMoney (used for packages and config.h)
SET(VERSION_MAJOR "3")
SET(VERSION_MINOR "98")
SET(VERSION_PATCH "1")

# Determince the SVN revision number (if we're based on SVN)
IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
  # make sure we don't use translated messages here
  SET(LANG $ENV{LANG})
  SET(ENV{LANG} "C")
  EXECUTE_PROCESS(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR} OUTPUT_VARIABLE VERSION_SUFFIX)
  STRING(REGEX MATCH "Revision: ([0-9]+)" VERSION_SUFFIX "${VERSION_SUFFIX}") 
  STRING(REPLACE "Revision: " "" VERSION_SUFFIX "${VERSION_SUFFIX}")
  SET(VERSION_SUFFIX "-svn${VERSION_SUFFIX}")
  # switch back to the origianl language setting
  SET(ENV{LANG} ${LANG})
ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)

######################### General Requirements ##########################
FIND_PACKAGE(KDE4 REQUIRED)


include( KDE4Defaults )
include( MacroLibrary )
include( KMyMoneyMacros )
# needed by libkgpgfile
if (WIN32)
  find_package(Boost "1.33.1")
else (WIN32)
  find_package(Boost "1.33.1" COMPONENTS graph)
endif (WIN32)
# needed by libkgpgfile
find_package(QGpgme REQUIRED)
find_package(KdepimLibs REQUIRED)
find_package(SharedMimeInfo REQUIRED)

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS})
string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
  add_definitions (-DQT_STRICT_ITERATORS)
  set(KMM_DEBUG 1)
endif()
add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
	${KDE4_INCLUDES}
	${KDEPIMLIBS_INCLUDE_DIRS}
	${CMAKE_CURRENT_BINARY_DIR}/kmymoney/dialogs/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/widgets/
	${CMAKE_CURRENT_BINARY_DIR}/kmymoney/widgets/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/mymoney/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/mymoney/storage/
  ${CMAKE_CURRENT_SOURCE_DIR}/libkgpgfile/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/plugins/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/views/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/dialogs/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/converter/
	${CMAKE_CURRENT_BINARY_DIR}/kmymoney/dialogs/settings/
	${CMAKE_CURRENT_BINARY_DIR}/kmymoney/mymoney/storage/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/reports/
	${CMAKE_CURRENT_SOURCE_DIR}/kmymoney/wizards/wizardpages/)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

# check for JPEG
FIND_PACKAGE(JPEG)
IF (JPEG_FOUND)
  SET(HAVE_LIBJPEG 1)
ENDIF (JPEG_FOUND)

# check for PNGL
FIND_PACKAGE(PNG)
IF (PNG_FOUND)
  SET(HAVE_LIBPNG 1)
ENDIF (PNG_FOUND)

# check for THREAD model
Find_PACKAGE(Threads)
IF (CMAKE_USE_PTHREADS_INIT)
  SET(HAVE_LIBPTHREAD 1)
ENDIF (CMAKE_USE_PTHREADS_INIT)

# check for ZLIB
FIND_PACKAGE(ZLIB)
IF (ZLIB_FOUND)
  SET(HAVE_LIBZ 1)
ENDIF (ZLIB_FOUND)

# check for Doxygen
FIND_PACKAGE(Doxygen)
IF(DOXYGEN_FOUND)
  SET(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  MAKE_DIRECTORY(${APIDOC_DIR})

  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen IMMEDIATE)

  ADD_CUSTOM_TARGET(apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen)
ENDIF(DOXYGEN_FOUND)

# check for PkgConfig
FIND_PACKAGE(PkgConfig)
# check for some modules we require
pkg_check_modules (PKGS libxml-2.0 libxml++-2.6 glib-2.0 glibmm-2.4)
# this sets variables like ${PKGS_INCLUDE_DIRS} ${PKGS_LIBRARY_DIRS}
# (cf. /usr/share/cmake/Modules/FindPkgConfig.cmake for more info)

# check some functions
INCLUDE (CheckFunctionExists) 
CHECK_FUNCTION_EXISTS(atoll HAVE_ATOLL)
CHECK_FUNCTION_EXISTS(vsnprintf HAVE_VSNPRINTF)
CHECK_FUNCTION_EXISTS(strtoll HAVE_STRTOLL)

SET(CMAKE_REQUIRED_FLAGS "-std=c99")
SET(CMAKE_REQUIRED_LIBRARIES m)
CHECK_FUNCTION_EXISTS(round HAVE_ROUND)

# check for function in header
INCLUDE(CheckSymbolExists)
SET(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)
CHECK_SYMBOL_EXISTS(res_init "sys/types.h;netinet/in.h;arpa/nameser.h;resolv.h" HAVE_RES_INIT)

# check for res_init with prototype
INCLUDE(CheckPrototypeExists)
CHECK_PROTOTYPE_EXISTS(res_init "sys/types.h;netinet/in.h;arpa/nameser.h;resolv.h" HAVE_RES_INIT_PROTO)

# special handling of crypt() check
# ----------------------- crypt() ---------------------------------
SET(CMAKE_REQUIRED_LIBRARIES crypt) 
CHECK_FUNCTION_EXISTS(crypt HAVE_CRYPT)
# -----------------------------------------------------------------

# check some include files exists
INCLUDE (CheckIncludeFile)
CHECK_INCLUDE_FILE("stdint.h" HAVE_STDINT_H)
CHECK_INCLUDE_FILE("dlfcn.h" HAVE_DLFCN_H)
CHECK_INCLUDE_FILE("inttypes.h" HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE("memory.h" HAVE_MEMORY_H)
CHECK_INCLUDE_FILE("stdlib.h" HAVE_STDLIB_H)
CHECK_INCLUDE_FILE("strings.h" HAVE_STRINGS_H)
CHECK_INCLUDE_FILE("string.h" HAVE_STRING_H)
CHECK_INCLUDE_FILE("sys/bitypes.h" HAVE_SYS_BITYPES_H)
CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE("sys/types.h" HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)

#check sizes. Will be written to config.h
INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(char* SIZEOF_CHAR_P)
CHECK_TYPE_SIZE(int SIZEOF_INT)
CHECK_TYPE_SIZE(long SIZEOF_LONG)
CHECK_TYPE_SIZE(short SIZEOF_SHORT)
CHECK_TYPE_SIZE(size_t SIZEOF_SIZE_T)
CHECK_TYPE_SIZE("unsigned long" SIZEOF_UNSIGNED_LONG)

MARK_AS_ADVANCED(
  KDE4_KCFGC_EXECUTABLE KDE4_KDECORE_LIBRARY KDECONFIG_EXECUTABLE)

######################### Special Requirements ##########################

# This is needed for QtSqlite and QtDesigner
# (they'll install files to ${QT_INSTALL_DIR}/plugins/)
GET_FILENAME_COMPONENT(QT_BIN_DIR ${QT_MOC_EXECUTABLE} PATH)
GET_FILENAME_COMPONENT(QT_DIR     ${QT_BIN_DIR}        PATH)
SET(QT_INSTALL_DIR ${QT_DIR} CACHE PATH
  "Qt install prefix defaults to the Qt prefix: ${QT_DIR}")


# check for optional OFX support
SET(LIBOFX_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBOFX)
  SET(LIBOFX_DEFAULT ${ENABLE_LIBOFX})
ENDIF(DEFINED ENABLE_LIBOFX)
OPTION(ENABLE_LIBOFX "Enable OFX plugin" ON)
IF(ENABLE_LIBOFX)
  FIND_PACKAGE(LibOfx)
  IF(NOT LIBOFX_FOUND)
    IF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LibOFX not found")
    ENDIF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBOFX OFF CACHE BOOL "Enable OFX plugin" FORCE)
  ENDIF(NOT LIBOFX_FOUND)
ENDIF(ENABLE_LIBOFX)

# check for optional KBanking support
SET(KBANKING_FOUND "AUTO")
MARK_AS_ADVANCED(KBANKING_FOUND)
IF(DEFINED ENABLE_KBANKING)
  SET(KBANKING_FOUND OFF)
ENDIF(DEFINED ENABLE_KBANKING)
OPTION(ENABLE_KBANKING "Enable KBanking plugin" ON)
IF(ENABLE_KBANKING)
  FIND_PACKAGE(Gwenhywfar)
  FIND_PACKAGE(AqBanking)
  IF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    SET(KBANKING_FOUND ON)
  ELSE (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    IF(NOT KBANKING_FOUND STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "KBanking requirements not met")
    ENDIF(NOT KBANKING_FOUND STREQUAL "AUTO")
    SET(KBANKING_FOUND OFF)
    SET(ENABLE_KBANKING OFF CACHE BOOL "Enable KBanking plugin" FORCE)
  ENDIF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
ENDIF(ENABLE_KBANKING)

# check for optional ical support
SET(LIBICAL_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBICAL)
  SET(LIBICAL_DEFAULT ${ENABLE_LIBICAL})
ENDIF(DEFINED ENABLE_LIBICAL)
OPTION(ENABLE_LIBICAL "Enable Calendar plugin" ON)
IF(ENABLE_LIBICAL)
  FIND_PACKAGE(Libical)
  IF(NOT LIBICAL_FOUND)
    IF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LIBICAL not found")
    ENDIF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBICAL OFF CACHE BOOL "Enable Calendar plugin" FORCE)
  ENDIF(NOT LIBICAL_FOUND)
ENDIF(ENABLE_LIBICAL)

# check for CppUnit to build the tests
FIND_PACKAGE(CppUnit)
IF( CPPUNIT_FOUND )
  SET(HAVE_LIBCPPUNIT 1)
  INCLUDE_DIRECTORIES( ${CPPUNIT_INCLUDE_DIR} )
ENDIF( CPPUNIT_FOUND )

# check wether the user requests to build the test although it's not possible
IF( KDE4_BUILD_TESTS AND NOT CPPUNIT_FOUND )
  message( STATUS
    "CppUnit has not been found. Tests have been deactivated." )
  SET( KDE4_BUILD_TESTS OFF )
  MARK_AS_ADVANCED( FORCE KDE4_BUILD_TESTS )
ENDIF( KDE4_BUILD_TESTS AND NOT CPPUNIT_FOUND )

# do we build the tests?
IF( KDE4_BUILD_TESTS )
  # INCLUDE(CTest) # (makes sense only with a ctest online dashboard)
  ENABLE_TESTING()
ENDIF( KDE4_BUILD_TESTS )

######################### Settings ##########################

# If no build type is set, use "Release with Debug Info"
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
  "Choose the type of build.
Possible values are: 'Release' 'RelWithDebInfo' 'Debug' 'Debugfull' 'Profile'
The default value is: 'RelWithDebInfo'" FORCE)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

# tell the KMyMoney sources that a config.h is present:
ADD_DEFINITIONS( -DHAVE_CONFIG_H )

# preprocessor definitions in case this is a debug build
STRING(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
IF(${CMAKE_BUILD_TYPE_TOLOWER} MATCHES "^debug(full)?$|^profile$")
  ADD_DEFINITIONS( -DKMM_DEBUG )
ENDIF()

# tells gcc to enable exception handling
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

# temporarily disable the hidden base class virtual functions warning
# so we can concetrate on the more important compiler warnings
# also disable "type qualifiers ignored on function return type"
#since we can't do anything about KDChart code
IF(CMAKE_SYSTEM_NAME MATCHES Linux)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-overloaded-virtual -Wno-ignored-qualifiers")
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux)

IF(NOT WIN32)
  # use position independent code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF(NOT WIN32)
IF(NOT MSVC)
  # be more pedantic about common symbols
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-common")

  # Debug, Debugfull, Profile
  SET(CMAKE_CXX_FLAGS_DEBUG
    "-g -O2 -fno-reorder-blocks -fno-schedule-insns -fno-inline")
  SET(CMAKE_CXX_FLAGS_DEBUGFULL
    "-g3 -fno-inline")
  SET(CMAKE_CXX_FLAGS_PROFILE
    "-g3 -fno-inline -ftest-coverage -fprofile-arcs")

  # be pedantic about undefined symbols when linking shared libraries
  IF(CMAKE_SYSTEM_NAME MATCHES Linux)
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined -Wl,--as-needed")
  ELSE(CMAKE_SYSTEM_NAME MATCHES Linux)
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl")
  ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux)
ENDIF(NOT MSVC)

OPTION(USE_LEAK_CHECK "Enable to compile with memory leak check support (deprecated)" OFF)
if(USE_LEAK_CHECK)
  message("Warning: Leak check support is activated but deprecated. Better use valgrind.")
  ADD_DEFINITIONS( -D_CHECK_MEMORY )
endif(USE_LEAK_CHECK)

OPTION(USE_QT_DESIGNER
  "Install KMyMoney specific widget library for Qt-Designer (default=OFF)" OFF)

OPTION(USE_DEVELOPER_DOC
  "Install KMyMoney specific developer documentation (default=OFF)" OFF)

IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  SET(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_DIR}" CACHE PATH
    "KMyMoney install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_DIR}" FORCE)
ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# the RPATH to be used when installing
# (cf. http://www.vtk.org/Wiki/CMake_RPATH_handling)
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
# add the automatically determined parts of the RPATH

=== developer-doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( phb )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( it_kmymoney/kmymoney )
add_subdirectory( pt_BR_kmymoney/kmymoney )
add_subdirectory( sv_kmymoney/kmymoney )
add_subdirectory( uk_kmymoney/kmymoney )

=== kmymoney/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/models/
                    ${CMAKE_CURRENT_BINARY_DIR}/models/
                    ${KMyMoney_SOURCE_DIR}/libkdchart/include )

ADD_SUBDIRECTORY( mymoney )
ADD_SUBDIRECTORY( models  )
ADD_SUBDIRECTORY( plugins )
ADD_SUBDIRECTORY( reports )
ADD_SUBDIRECTORY( widgets )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( views )
ADD_SUBDIRECTORY( converter )
ADD_SUBDIRECTORY( wizards )
ADD_SUBDIRECTORY( pics )
ADD_SUBDIRECTORY( html )
ADD_SUBDIRECTORY( templates )
ADD_SUBDIRECTORY( misc )

SET( _HEADERS kmymoneyutils.h kmymoneyglobalsettings.h )

# we call a macro that creates symbolic links in kmymoney/
KMM_CREATE_LINKS( ${_HEADERS} )

########### common code (kmymoney_common) STATIC ###############
# will be linked into kmymoney, kmymoneytest, and libkmymoney.so

SET( kmymoney_common_SRCS
  kmymoneyutils.cpp kstartuplogo.cpp kmymoneyglobalsettings.cpp )

KDE4_ADD_KCFG_FILES( kmymoney_common_SRCS kmymoneysettings.kcfgc )

KDE4_ADD_LIBRARY(kmymoney_common STATIC ${kmymoney_common_SRCS})
TARGET_LINK_LIBRARIES(kmymoney_common
  ${QT_AND_KDECORE_LIBS} ${KDEPIMLIBS_KHOLIDAYS_LIBS} kmm_widgets kmm_mymoney)

# must build kmymoney/transactionsortoption.h
# from transactionsortoption.ui first
ADD_DEPENDENCIES(kmymoney_common generate_base_ui_srcs)

SET( kmymoney_common_LIBS
  views reports kmymoney_common newuserwizard
  newaccountwizard wizardpages dialogs widgets settings converter models
  kmm_storage kmm_mymoney kgpgfile interfaces kmm_plugin dialogs kmm_kdchart
  ${QT_AND_KDECORE_LIBS} ${QT_QT3SUPPORT_LIBRARY} ${QT_QTSQL_LIBRARY}
  ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KABC_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KUTILS_LIBRARY})

########### kmymoney executable ###############

SET( kmymoney_SRCS main.cpp kmymoney.cpp )

QT4_ADD_DBUS_ADAPTOR(kmymoney_SRCS org.kde.kmymoney.xml kmymoney.h KMyMoneyApp)
KDE4_ADD_APP_ICON( kmymoney_SRCS hi*-app-kmymoney.png )

KDE4_ADD_EXECUTABLE( kmymoney ${kmymoney_SRCS} )
TARGET_LINK_LIBRARIES( kmymoney ${kmymoney_common_LIBS} kmymoney_base )

########### kmymoneytest executable ###############

# shall we build the tests? can be set with ccmake.
IF( KDE4_BUILD_TESTS )

  # the kmymoney sources are used here, too.
  # but additionally, we need all test sources.

  # we try to be clever to find the test-only sources.
  # the naming convention for all test-related cpp-files is *test.cpp
  file(GLOB_RECURSE kmymoneytest_SRCS *test.cpp)
  # also find the headers, but only those, that have .cpp files
  SET (kmymoneytest_HDRS)
  FOREACH(cpp_FILE ${kmymoneytest_SRCS})
    get_filename_component( abs_path ${cpp_FILE} PATH)
    get_filename_component( stem ${cpp_FILE} NAME_WE)
    SET( hdr_candidate "${abs_path}/${stem}.h" )
    IF ( EXISTS ${hdr_candidate} )
      SET (kmymoneytest_HDRS ${kmymoneytest_HDRS} ${hdr_candidate} )
    ENDIF ( EXISTS ${hdr_candidate} )
  ENDFOREACH(cpp_FILE)

  SET( kmymoneytest_SRCS ${kmymoneytest_SRCS} reports/reportstestcommon.cpp )

  KDE4_ADD_EXECUTABLE( kmymoneytest ${kmymoneytest_SRCS} )
  TARGET_LINK_LIBRARIES( kmymoneytest ${kmymoney_common_LIBS} ${CPPUNIT_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS})

  ##################
  # The Actual Testing using CTest


  # this code will automatically go through all *test.h header files.
  # in each file, it expects at most one declaration of the form
  # CPPUNIT_TEST_SUITE( test_suite )
  # additionally, it expects an arbitrary number of individual tests
  # CPPUNIT_TEST ( single_test )
  # it then creates the correct global name test_suite::single_test
  # for all tests and adds it to the list all_tests

  # make sure this is empty
  SET( all_tests )
  FOREACH( _hdr_FILE ${kmymoneytest_HDRS} )
    FILE( READ ${_hdr_FILE} _contents )# read the header file

    # first find the name of the test_suite and write it to ${test_suite}
    STRING( REGEX MATCH "CPPUNIT_TEST_SUITE *\\( *([^ )]+) *\\)"
      _ign "${_contents}" )
    SET(test_suite ${CMAKE_MATCH_1})
    #message ("${test_suite}") #debug

    # now find all lines containing tests
    STRING( REGEX MATCHALL "CPPUNIT_TEST *\\( *([^ )]+) *\\)"
      _tests_in_this_suite "${_contents}" )

    # for each line, extract the name ${single_test} of the test
    FOREACH( _single_test ${_tests_in_this_suite} )
      STRING( REGEX MATCH "CPPUNIT_TEST *\\( *([^ )]+) *\\)"
        _ign "${_single_test}" )
      SET(single_test ${CMAKE_MATCH_1})

      # add the global name of the test to the list of all tests.
      SET( global_name "${test_suite}::${single_test}" )
      #message (${global_name}) #debug
      SET( all_tests ${all_tests} "${global_name}")
    ENDFOREACH( _single_test )
  ENDFOREACH( _hdr_FILE )

  # now add the test to the ctest environment.
  FOREACH( test ${all_tests} )
    ADD_TEST( "${test}" "kmymoneytest" "${test}" )
    # first argument ${test}: name of the test used for ctest
    # second argument: executable to run the test (from kmymoneytest.cpp)
    # third argument: command line argument for the executable
  ENDFOREACH( test )

ENDIF( KDE4_BUILD_TESTS )


########### install files ###############

INSTALL(TARGETS kmymoney ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES kmymoney.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
  )
INSTALL(FILES kmymoneyui.rc tips
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney
  )
INSTALL(FILES ${_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
  )
INSTALL(FILES kmymoney.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  )

INSTALL(FILES x-kmymoney.xml
  DESTINATION ${XDG_MIME_INSTALL_DIR})

UPDATE_XDG_MIMETYPES(${XDG_MIME_INSTALL_DIR})

INSTALL(FILES misc/financequote.pl
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney/misc
  )

########## Application Icons #############
INSTALL(DIRECTORY icons/oxygen
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney/icons
  PATTERN "*Make*" EXCLUDE
  PATTERN ".svn" EXCLUDE
  )
INSTALL(FILES hi16-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/16x16/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_16x16.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/16x16/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi32-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/32x32/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_22x22.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/22x22/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES mimetype_kmy_32x32.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/32x32/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi48-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/48x48/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_48x48.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/48x48/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi64-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/68x68/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_64x64.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/64x64/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi128-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/128x128/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_128x128.png
  DESTINATION ${ICON_INSTALL_DIR}/oxygen/128x128/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES lo16-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/16x16/apps
  RENAME kmymoney.png
  )
INSTALL(FILES lo32-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/32x32/apps
  RENAME kmymoney.png
  )

=== libkgpgfile/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${GPGME_INCLUDES} ${Boost_INCLUDE_DIR} )

########### next target ###############

SET(kgpgfile_STAT_SRCS
   kgpgfile.cpp
   )

KMM_CREATE_LINKS(kgpgfile.h)

KDE4_ADD_LIBRARY(kgpgfile STATIC ${kgpgfile_STAT_SRCS})
TARGET_LINK_LIBRARIES(kgpgfile ${QGPGME_LIBRARIES})

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== developer-doc/phb/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

KDE4_CREATE_HANDBOOK(phb.docbook)

=== kmymoney/converter/CMakeLists.txt ===
SET (libconverter_a_SOURCES
	mymoneygncreader.cpp
	mymoneyqifprofile.cpp
	mymoneyqifreader.cpp
  mymoneyqifwriter.cpp
	mymoneystatementreader.cpp
	mymoneytemplate.cpp
	webpricequote.cpp
	)

KMM_CREATE_LINKS( mymoneytemplate.h )

KDE4_ADD_LIBRARY(converter STATIC ${libconverter_a_SOURCES})

# we rely on some dialogs to be generated
ADD_DEPENDENCIES(converter dialogs)

########### install files ###############

INSTALL(FILES mymoneytemplate.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== kmymoney/dialogs/CMakeLists.txt ===
ADD_SUBDIRECTORY( settings ) 

########### next target ###############

SET(libdialogs_a_SOURCES
  investactivities.cpp 
  investtransactioneditor.cpp
  kaccountselectdlg.cpp 
  kbackupdlg.cpp 
  kbalancechartdlg.cpp
  kbalancewarning.cpp 
  kcategoryreassigndlg.cpp
  kchooseimportexportdlg.cpp 
  kconfirmmanualenterdlg.cpp
  kcsvprogressdlg.cpp 
  kcurrencycalculator.cpp 
  kcurrencyeditdlg.cpp
  keditequityentrydlg.cpp 
  keditloanwizard.cpp 
  keditscheduledlg.cpp
  kendingbalancedlg.cpp 
  kenterscheduledlg.cpp
  kequitypriceupdatedlg.cpp 
  kexportdlg.cpp 
  kfindtransactiondlg.cpp 
  kgeneratesqldlg.cpp
  kgncimportoptionsdlg.cpp 
  kgncpricesourcedlg.cpp
  kgpgkeyselectiondlg.cpp 
  kimportdlg.cpp
  kloadtemplatedlg.cpp
  kmergetransactionsdlg.cpp 
  kmymoneyfileinfodlg.cpp
  kmymoneypricedlg.cpp 
  kmymoneysplittable.cpp 
  knewaccountdlg.cpp
  knewbankdlg.cpp 
  knewbudgetdlg.cpp 
  knewequityentrydlg.cpp
  knewfiledlg.cpp 
  knewinvestmentwizard.cpp 
  knewloanwizard.cpp 
  konlinequoteconfigurationdlg.cpp
  kpayeereassigndlg.cpp 
  kreconciledlg.cpp
  kreconcilelistitem.cpp 
  kreportconfigurationfilterdlg.cpp
  ksecuritylisteditor.cpp 
  kselectdatabasedlg.cpp
  kselecttransactionsdlg.cpp 
  ksplittransactiondlg.cpp 
  kupdatestockpricedlg.cpp 
  mymoneyqifprofileeditor.cpp
  transactioneditor.cpp 
  transactionmatcher.cpp
  )

SET(dialogs_HEADERS
  investtransactioneditor.h kcurrencycalculator.h transactioneditor.h
  )

KMM_CREATE_LINKS( ${dialogs_HEADERS} )

SET(dialogs_UI
  kaccountselectdlgdecl.ui kbackupdlgdecl.ui
  kcategoryreassigndlgdecl.ui kchooseimportexportdlgdecl.ui
  kconfirmmanualenterdlgdecl.ui kcsvprogressdlgdecl.ui
  kcurrencycalculatordecl.ui kcurrencyeditdlgdecl.ui
  keditequityentrydecl.ui keditscheduledlgdecl.ui
  kendingbalancedlgdecl.ui kenterscheduledlgdecl.ui
  kequitypriceupdatedlgdecl.ui kexportdlgdecl.ui
  kfindtransactiondlgdecl.ui kgeneratesqldlgdecl.ui kgncimportoptionsdlgdecl.ui
  kgncpricesourcedlgdecl.ui kimportdlgdecl.ui kloadtemplatedlgdecl.ui
  kmymoneyfileinfodlgdecl.ui kmymoneypricedlgdecl.ui
  knewaccountdlgdecl.ui knewbankdlgdecl.ui knewbudgetdlgdecl.ui
  knewequityentrydecl.ui knewfiledlgdecl.ui
  knewinvestmentwizarddecl.ui knewloanwizarddecl.ui
  konlinequoteconfigurationdecl.ui kpayeereassigndlgdecl.ui
  kplugindlg.ui kreconciledlgdecl.ui ksecuritylisteditordecl.ui
  kselectdatabasedlgdecl.ui kselecttransactionsdlgdecl.ui
  ksortoptiondlg.ui ksplitcorrectiondlg.ui ksplittransactiondlgdecl.ui
  kupdatestockpricedlgdecl.ui mymoneyqifprofileeditordecl.ui
  ../widgets/kaccounttemplateselectordecl.ui ../widgets/transactionsortoptiondecl.ui
)

kde4_add_ui_files(libdialogs_a_SOURCES ${dialogs_UI} )

# in order to use add_dependencies, we need to add this custom target
# for all generated header files.
# (see http://www.vtk.org/Wiki/CMake_FAQ#How_can_I_add_a_dependency_to_a_source_file_which_is_generated_in_a_subdirectory.3F )
ADD_CUSTOM_TARGET(generate_dialogs_ui_srcs DEPENDS ${dialogs_ui_srcs})

KDE4_ADD_LIBRARY(dialogs STATIC ${libdialogs_a_SOURCES} ${dialogs_ui_srcs})

# we rely on the widgets to be generated
ADD_DEPENDENCIES(dialogs widgets)

########### install files ###############

INSTALL(FILES  ${dialogs_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== kmymoney/models/CMakeLists.txt ===
SET(libmodels_a_SOURCES
    accountsmodel.cpp
    models.cpp
   )

KDE4_ADD_LIBRARY(models STATIC ${libmodels_a_SOURCES})

=== kmymoney/mymoney/CMakeLists.txt ===
ADD_SUBDIRECTORY( storage )

########### next target ###############

SET(kmm_mymoney_LIB_SRCS
  mymoneymoney.cpp mymoneyfinancialcalculator.cpp 
  mymoneytransactionfilter.cpp
  mymoneyobject.cpp mymoneykeyvaluecontainer.cpp 
  mymoneysplit.cpp mymoneyinstitution.cpp
  mymoneyexception.cpp mymoneyinvesttransaction.cpp mymoneyutils.cpp
  mymoneysecurity.cpp mymoneytransaction.cpp mymoneyscheduled.cpp
  mymoneypayee.cpp 
  mymoneyfile.cpp 
  mymoneycategory.cpp 
  mymoneyaccount.cpp
  mymoneyreport.cpp mymoneystatement.cpp mymoneyprice.cpp mymoneybudget.cpp
  mymoneyobjectcontainer.cpp 
  mymoneyforecast.cpp
  )


SET(mymoney_HEADERS kmm_mymoney_export.h
  mymoneyobject.h mymoneyaccount.h mymoneycategory.h mymoneyexception.h
  mymoneyfile.h mymoneyfinancialcalculator.h mymoneyinstitution.h
  mymoneyinvesttransaction.h mymoneykeyvaluecontainer.h mymoneymoney.h
  mymoneypayee.h mymoneyprice.h mymoneyreport.h
  mymoneyscheduled.h mymoneysecurity.h mymoneysplit.h mymoneystatement.h
  mymoneytransactionfilter.h mymoneytransaction.h
  mymoneyutils.h mymoneybudget.h mymoneyobjectcontainer.h mymoneyforecast.h
  imymoneyprocessingcalendar.h
  )

KMM_CREATE_LINKS( ${mymoney_HEADERS} )

KDE4_ADD_LIBRARY(kmm_mymoney SHARED 
	${kmm_mymoney_LIB_SRCS})

TARGET_LINK_LIBRARIES(kmm_mymoney ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QT3SUPPORT_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kmm_storage)

SET_TARGET_PROPERTIES(kmm_mymoney PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

########### install files ###############

INSTALL(TARGETS kmm_mymoney
	${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL(FILES ${mymoney_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== kmymoney/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( interfaces )

if(LIBOFX_FOUND)
	ADD_SUBDIRECTORY( ofximport )
endif(LIBOFX_FOUND)

IF (LIBICAL_FOUND)
  ADD_SUBDIRECTORY( icalendarexport )
ENDIF (LIBICAL_FOUND)

ADD_SUBDIRECTORY( reconciliationreport )
ADD_SUBDIRECTORY( printcheck )

IF (KBANKING_FOUND)
  ADD_SUBDIRECTORY( kbanking )
ENDIF (KBANKING_FOUND)

########### next target ###############

SET(kmm_plugin_LIB_SRCS
  importinterface.cpp 
  kmymoneyplugin.cpp 
  pluginloader.cpp
  statementinterface.cpp viewinterface.cpp)

SET(plugins_HEADERS
  importinterface.h kmymoneyplugin.h pluginloader.h
  statementinterface.h viewinterface.h kmm_plugin_export.h)

# here we call the module wich creates us the given links
KMM_CREATE_LINKS(${plugins_HEADERS})

KDE4_ADD_LIBRARY(kmm_plugin SHARED ${kmm_plugin_LIB_SRCS})
TARGET_LINK_LIBRARIES(kmm_plugin ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})

SET_TARGET_PROPERTIES(kmm_plugin PROPERTIES VERSION ${GENERIC_LIB_VERSION}  SOVERSION ${GENERIC_LIB_SOVERSION} )

########### install files ###############

INSTALL(TARGETS kmm_plugin 
	${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL(FILES ${plugins_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney  COMPONENT Devel)

INSTALL(FILES kmymoneyplugin.desktop kmymoneyimporterplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== debian/changelog ===
kmymoney (3.98.1-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

kmymoney (3.98.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 21:46:11 +1000

kmymoney (3.98.0-1) unstable; urgency=low

  * New upstream release 

  [ Mark Purcell ]
  * Fixed "description still refers to kmymoney2 package" (Closes: #576995)
  * Fixes "kmymoney for KDE4 should remain in unstable for now" 
    - recommended for general use (Closes: #565138)
  * Fixes "ftbfs with gcc-4.5" (Closes: #565017)

  [ Pino Toscano ]
  * Add missing Build-Depend on shared-mime-info. (Closes: #581320)

 -- Mark Purcell <msp@debian.org>  Sun, 16 May 2010 16:31:15 +1000

kmymoney (3.97.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Apr 2010 09:20:45 +0200

kmymoney (3.97.0-1) unstable; urgency=low

  * New upstream release.
    - More crashes related to encryption. (Closes: #574600, #574601)
  * Remove 01_missing_perl_header.diff patch - merged upstream.
  * Add debug package.

 -- Fathi Boudra <fabo@debian.org>  Wed, 31 Mar 2010 08:43:48 +0200

kmymoney (3.96.1-1) unstable; urgency=low

  * New upstream release:
    - Crashes related to encryption. (Closes: #563992, #570626)

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add 01_missing_perl_header.diff patch.
  * Update debian/control:
    - Add cmake and pkg-kde-tools build dependencies.
    - Remove chrpath, automake and libtool build dependencies.
    - Build depend on libboost-graph-dev instead of libboost-dev.
    - Bump build dependencies versions (debhelper, libaqbanking29-dev).
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
    - Conflicts/Replaces against version 3.96.0-1. (Closes: #573488, #573475)
    - Merge aqbanking plugin. Conflicts/Replaces as appropriate.
      (Closes: #574390)
  * Update debian/rules:
    - Enable parallel buildd (pass --parallel option to dh).
    - List missing files (pass --list-missing option to dh).
    - Use kde sequence addon (pass --with kde option to dh).
  * Update debian/kmymoney-common.install:
    - Add documentation.
  * Add debian/kmymoney.lintian-overrides:
    - Override package-name-doesnt-match-sonames lintian warning.

  [ José Manuel Santamaría Lema ]
  * Update debian/watch.
  * Update debian/rules: update get-orig-source target.
  * Update debian/kmymoney.install: install kmymoney manpage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 05 Mar 2010 16:15:31 +0100

kmymoney (3.96.0-1) unstable; urgency=low

  * New upstream release.

  * NEW packages kmymoney, kmymoney-common, kmymoney-dev
    - (Closes: #562944) KMyMoney Beta Version Available for KDE 4 Platform
    - Upstream package naming for KDE 4
    - Added versioned Conflicts: Replaces: as suggested by Micha
  * Add dummy transition package for squeeze - kmymoney2
  * Cleanup get-orig-target
  * Added Breaks: kmymoney2-plugin-aqbanking (Closes: #565146)
  * Build-Depends: libaqbanking29-dev (>= 4.2.3+svn.r1797-1)
    - #include <q4banking/qbanking.h> - QT4 support

 -- Mark Purcell <msp@debian.org>  Tue, 16 Feb 2010 19:34:57 +1100

kmymoney2 (3.95.0+svn1069391-2) unstable; urgency=low

  * Add Build-Depends: libz-dev, libpng12-dev, libjpeg62-dev,
    libgwenhywfar47-dev

 -- Mark Purcell <msp@debian.org>  Wed, 06 Jan 2010 22:47:28 +1100

kmymoney2 (3.95.0+svn1069391-1) unstable; urgency=low

  * New upstream release KDE4
    - first rev without libkleo
  * Add Build-Depends: libical-dev - iCalendar export plugin
  * Add Build-Conflicts: libaqbanking29-dev
    - kmymoney4 & libaqbanking needs Qt 4 (see Bug 563790)

 -- Mark Purcell <msp@debian.org>  Wed, 06 Jan 2010 20:14:53 +1100

kmymoney2 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 05 Oct 2009 10:01:13 +0200

kmymoney2 (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - fix a crash on loan creation. (Closes: #545870)

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Oct 2009 10:34:19 +0200

kmymoney2 (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #542503)
    - fix a crash when opening a custom report caused by an invalid chart type.
      (Closes: #522354)
  * Update debian/control:
    - Cleanup build dependency. Remove cdbs, gs-common, html2ps and
      libxml++2.6-dev.
    - Add libsqlite3-dev build dependency.
    - Bump Standards-Version from 3.8.0 to 3.8.3 (add debian/README.source).
  * Update debian/copyright:
    - Add Alvaro Soliverez.
    - Add Qt3 SQLite3 Library copyright.
  * Rename debian/docs to debian/kmymoney2.docs file.
  * Update debian/kmymoney2.install:
    - Add libsqlite3.so (Qt3 SQLite3 driver).
  * Remove files:
    - debian/kmymoney2.lintian-overrides
    - debian/kmymoney2.postinst
    - debian/kmymoney2.postrm
  * Update debian/rules:
    - Convert to dh usage.
    - Add a workaround for libsqlite3.so installation.

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Aug 2009 23:49:59 +0200

kmymoney2 (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #516980)
  * Fix some lintian warnings:
    - Build-depends on chrpath to remove RPATH.
    - Add missing ${misc:Depends}.
  * Update copyright. Some informations were wrong.
  * Update installed files: add OFX plugin. (Closes: #517145)
  * Cleanup lintian overrides.
  * Add postinst and postrm scripts for update-menus call and dh_desktop
    usage.
  * Update rules: call dh_desktop.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 14:00:54 +0100

kmymoney2 (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update lintian-overrides libkmm-mymoney5
  * Add Build-Depends: libxml++2.6-dev

 -- Mark Purcell <msp@debian.org>  Tue, 21 Oct 2008 22:49:57 +1100

kmymoney2 (0.9-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.8.0 - no changes necessary


=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
 libaqbanking29-dev (>= 4.2.4), libboost-graph-dev, libfinance-quote-perl,
 libgpgme11-dev, libgwenhywfar47-dev, libical-dev, libjpeg62-dev, libofx-dev,
 libpng12-dev, libsqlite3-dev, libz-dev
Standards-Version: 3.8.4
Homepage: http://kmymoney2.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmymoney2/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmymoney2/trunk

Package: kmymoney
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kmymoney-common (= ${source:Version})
Replaces: kmymoney2 (<< 3.96.0-1), kmymoney2-plugin-aqbanking (<= 1.0-1)
Conflicts: kmymoney2 (<< 3.96.0-1), kmymoney2-plugin-aqbanking (<= 1.0-1)
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kmymoney
Replaces: kmymoney2 (<< 0.9-1), kmymoney2-common (<< 3.96.0-1)
Conflicts: kmymoney2-common (<< 3.96.0-1)
Description: KMyMoney architecture independent files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney' package installed, you will hardly find this package useful.

Package: kmymoney-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, kmymoney (= ${binary:Version})
Replaces: kmymoney2 (<< 0.9-1), kmymoney2-dev (<< 3.96.0-1)
Conflicts: kmymoney2 (<< 3.96.0-1)
Description: KMyMoney development files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains development files needed for KMyMoney plugins.

Package: kmymoney2
Architecture: all
Depends: ${misc:Depends}, kmymoney
Description: dummy transition package for squeeze
 This is a dummy transition package and can be safely removed.
 .
 It can also be removed from the Debian package once squeeze is released.

Package: kmymoney-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kmymoney (= ${binary:Version}), ${misc:Depends}
Description: KMymoney debugging symbols
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains the debugging symbols associated with kmymoney.
 They will automatically be used by gdb for debugging kmymoney-related issues.
